Create one-off payment

Akahu's one-off payment service uses official open banking connections to initiate payments directly from your users' New Zealand bank accounts.

Create a payment by specifying the amount, payee account details, and optional statement reference fields. All payments require a redirect_uri. This is where the user will be returned upon completing authorisation.

Once the payment is created, send your user to the authorisation_url to complete payment authorisation.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
payee
object
required

The payee's details

payer
object

The payer's details

number
required
0.01 to 100000

The amount to be paid in dollars, e.g. 12.34. (Rounded to 2 decimal places).

uri
required

The URI to redirect the user to after payment approval

string
enum

The mode used by Akahu when redirecting the user to your provided redirect_uri. This option is important for native mobile app developers.

  • deep_link → Specify this value if your provided redirect_uri intends to activate your native mobile application via iOS universal link or Android app link. When you supply this value, the user will be required to tap to confirm before returning to your application. This interaction is important to ensure successful native app activation.
Allowed:
uri

The URI to send webhooks regarding updates to this payment

date-time

The payment will be cancelled at this time, unless it has been authorised. Defaults to 1 hour in the future.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json